SymetryML Documentation
Data sources

Get data source sample

Retrieve a sample of data from an existing data source for inspection and validation. The sample size is fixed server-side (128 rows by default) — there is no query parameter to request a different size.

GET
/{user}/dss/{dsName}/sample

Retrieve a sample of data from an existing data source for inspection and validation. The sample size is fixed server-side (128 rows by default) — there is no query parameter to request a different size.

Authorization

SymetryMLAuth
AuthorizationBearer <token>

HMAC-SHA256 signature-based authentication: requests are signed with your secret key and sent with the Customer-ID, Sym-date, Authorization, Content-MD5 and sym-version headers. See SymetryML REST API Security for the signature algorithm and a complete example.

In: header

Path Parameters

user*string

User/Customer identifier

dsName*string

Data source name

Response Body

application/json

application/json

curl -X GET "https://example.com/c1/dss/nbra_ds_sftp_iris/sample"

{  "statusCode": 200,  "statusString": "OK",  "values": {    "dataframe": {      "attributeNames": [        "sepal_length",        "sepal_width",        "petal_length",        "petal_width",        "sepal_lengt_b1",        "sepal_lengt_b2",        "sepal_width_b1",        "sepal_width_b2",        "petal_length_b1",        "petal_length_b2",        "petal_width_b1",        "petal_width_b2",        "Iris_setosa",        "Iris_versicolor",        "Iris_virginica"      ],      "data": [        [          5.1,          3.5,          1.4,          0.2,          1,          0,          1,          0,          1,          0,          1,          0,          1,          0,          0        ],        [          4.9,          3,          1.4,          0.2,          1,          0,          0,          1,          1,          0,          1,          0,          1,          0,          0        ],        [          6.2,          3.4,          5.4,          2.3,          1,          0,          1,          0,          0,          1,          0,          1,          0,          0,          1        ]      ],      "attributeTypes": [        "C",        "C",        "C",        "C",        "B",        "B",        "B",        "B",        "B",        "B",        "B",        "B",        "B",        "B",        "B"      ],      "errorHandling": 1    }  }}

{  "statusCode": 400,  "statusString": "Customer [c1]: no DS [nonexistent_ds]",  "values": {}}